# Needs access to pypi so doesn't run in koji
%global with_tests 0

Name:           pychromecast
Version:        0.8.2
Release:        1%{?dist}
Summary:        Python library to communicate with the Google Chromecast

License:        MIT
URL:            https://github.com/balloob/pychromecast
Source0:        https://github.com/balloob/%{name}/archive/%{version}.tar.gz

BuildArch: noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if 0%{?with_tests}
BuildRequires:  python-six
BuildRequires:  python-netifaces
BuildRequires:  python2-zeroconf
BuildRequires:  python2-protobuf
BuildRequires:  python3-six
BuildRequires:  python3-netifaces
BuildRequires:  python3-zeroconf
BuildRequires:  python3-protobuf
%endif

%description
Library for Python 2 and 3 to communicate with the Google Chromecast. It
currently supports:

-  Auto discovering connected Chromecasts on the network
-  Start the default media receiver and play any online media
-  Control playback of current playing media
-  Implement Google Chromecast api v2
-  Communicate with apps via channels
-  Easily extendable to add support for unsupported namespaces
-  Multi-room setups with Audio cast devices

%package -n python2-chromecast
Summary:  Library for Python 2 and 3 to communicate with the Google Chromecast
%{?python_provide:%python_provide python2-chromecast}

Requires: python-six
Requires: python2-requests
Requires: python2-zeroconf
Requires: python2-protobuf

%description -n python2-chromecast
Library for Python 2 and 3 to communicate with the Google Chromecast. It
currently supports:

-  Auto discovering connected Chromecasts on the network
-  Start the default media receiver and play any online media
-  Control playback of current playing media
-  Implement Google Chromecast api v2
-  Communicate with apps via channels
-  Easily extendable to add support for unsupported namespaces
-  Multi-room setups with Audio cast devices

%package -n python3-chromecast
Summary:  Library for Python 3 to communicate with the Google Chromecast
%{?python_provide:%python_provide python3-chromecast}

Requires: python3-six
Requires: python3-requests
Requires: python3-zeroconf
Requires: python3-protobuf

%description -n python3-chromecast
Library for Python 2 and 3 to communicate with the Google Chromecast. It
currently supports:

-  Auto discovering connected Chromecasts on the network
-  Start the default media receiver and play any online media
-  Control playback of current playing media
-  Implement Google Chromecast api v2
-  Communicate with apps via channels
-  Easily extendable to add support for unsupported namespaces
-  Multi-room setups with Audio cast devices

%prep
%setup -q

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%if %{with_tests}
%{__python2} setup.py test
%{__python3} setup.py test
%endif

%files -n python2-chromecast
%license LICENSE
%{python_sitelib}/*

%files -n python3-chromecast
%license LICENSE
%{python3_sitelib}/*

%changelog
* Sat Jul 29 2017 Peter Robinson <pbrobinson@fedoraproject.org> 0.8.2-1
- Update to 0.8.2

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Mar 20 2017 Peter Robinson <pbrobinson@fedoraproject.org> 0.8.1-1
- Update to 0.8.1

* Sat Feb 18 2017 Peter Robinson <pbrobinson@fedoraproject.org> 0.8.0-1
- Update to 0.8.0

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Dec 22 2016 Peter Robinson <pbrobinson@fedoraproject.org> 0.7.7-3
- Fix python3 provides

* Fri Dec  2 2016 Peter Robinson <pbrobinson@fedoraproject.org> 0.7.7-2
- Package updates

* Mon Oct 31 2016 Peter Robinson <pbrobinson@fedoraproject.org> 0.7.7-1
- initial packaging
